###################################################
### chunk number 1: preliminaries
###################################################
#line 19 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
options(width=75, show.signif.stars = FALSE)
library(Devore6)
library(lattice)


###################################################
### chunk number 2: medexample
###################################################
#line 60 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
conc = c(15.2,9.3,7.6,11.9,10.4,9.7,20.4,9.4,11.5,16.2,9.4,8.3)
str(conc)
median(conc)


###################################################
### chunk number 3: libraryD6
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
library(Devore6)


###################################################
### chunk number 4: dataxmp0114
###################################################
#line 106 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
data(xmp01.14)
str(xmp01.14)


###################################################
### chunk number 5: withxmp
###################################################
#line 130 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.14, median(concentration))


###################################################
### chunk number 6:  eval=FALSE
###################################################
## #line 148 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## library(Devore6)


###################################################
### chunk number 7:  eval=FALSE
###################################################
## #line 156 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## data(xmp01.14)
## str(xmp01.14)


###################################################
### chunk number 8: xmp01.01
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.01, stem(temp))


###################################################
### chunk number 9: 
###################################################
#line 233 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.01, hist(temp))


###################################################
### chunk number 10: xmp01.05
###################################################
#line 250 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.05, stem(bingePct))
with(xmp01.05, stem(bingePct, scale = 0.5))


###################################################
### chunk number 11: xmp01.06
###################################################
#line 267 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.06, stem(yardage))


###################################################
### chunk number 12: setup1
###################################################
#line 281 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
opar = par(mar=c(3.5,4.1,0.1,0.1))


###################################################
### chunk number 13: xmp0107
###################################################
#line 286 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.01, plot(temp, type = "b"))


###################################################
### chunk number 14: setup2
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(opar)


###################################################
### chunk number 15: xmp0110
###################################################
#line 307 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.10, hist(consump))


###################################################
### chunk number 16: xmp0111
###################################################
#line 324 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.11, hist(strength, breaks = c(2,4,6,8,12,20,30)))


###################################################
### chunk number 17: xmp0112
###################################################
#line 340 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
cycles = c(41,27,20,18,3,11)
names(cycles) = c("Honda", "Yamaha", "Kawasaki", "Harley", "BMW", "other")
barplot(cycles)


###################################################
### chunk number 18: xmp0113
###################################################
#line 354 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.13, mean(crackLength))
with(xmp01.13, sum(crackLength))
with(xmp01.14, median(concentration))
with(xmp01.13, summary(crackLength))
with(xmp01.14, summary(concentration))


###################################################
### chunk number 19: xmp0115
###################################################
#line 367 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.15, summary(lifetime))
with(xmp01.15, mean(lifetime, trim = 0.1))


###################################################
### chunk number 20: xmp0116
###################################################
#line 380 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.16, var(Strength))
with(xmp01.16, sd(Strength))


###################################################
### chunk number 21: setup1
###################################################
#line 392 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
opar = par(mar=c(3.5,4.1,0.1,0.1))


###################################################
### chunk number 22: xmp0118
###################################################
#line 396 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.18, boxplot(depth, horizontal = TRUE))


###################################################
### chunk number 23: setup2
###################################################
#line 400 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(opar)


###################################################
### chunk number 24: setup1
###################################################
#line 407 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
opar = par(mar=c(3.5,4.1,0.1,0.1))


###################################################
### chunk number 25: xmp0119
###################################################
#line 411 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.19, boxplot(C1, horizontal = TRUE))


###################################################
### chunk number 26: setup2
###################################################
#line 415 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(opar)


###################################################
### chunk number 27: setup1
###################################################
#line 432 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
opar = par(mar=c(3.5,4.1,0.1,0.1))


###################################################
### chunk number 28: xmp0120
###################################################
#line 436 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(ex01.15, boxplot(Score ~ Type, horizontal = TRUE, las = 1))


###################################################
### chunk number 29: setup2
###################################################
#line 440 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(opar)


###################################################
### chunk number 30: 
###################################################
#line 458 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.10, hist(consump, las = 1))


###################################################
### chunk number 31: 
###################################################
#line 468 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.01, stem(temp, scale=2))


###################################################
### chunk number 32: 
###################################################
#line 472 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp01.01, hist(temp, breaks=c(25,35,45,55,65,75,85)))


###################################################
### chunk number 33: xmp0223
###################################################
#line 502 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
choose(15,3)*choose(10,3)/choose(25,6)


###################################################
### chunk number 34: xmp0330
###################################################
#line 546 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dbinom(3, size = 6, prob = 0.5)
dbinom(3:6, size = 6, prob = 0.5)
sum(dbinom(3:6, size = 6, prob = 0.5))
1 - pbinom(2, size = 6, prob = 0.5)
pbinom(2, size = 6, prob = 0.5, lower = FALSE)
pbinom(1, 6, 0.5)


###################################################
### chunk number 35: xmp0331
###################################################
#line 564 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pbinom(8,15,0.2)
dbinom(8,15,0.2)
1-pbinom(7,15,0.2)
sum(dbinom(4:7,15,0.2))


###################################################
### chunk number 36: xmp0334
###################################################
#line 579 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dhyper(2,12,8,5)


###################################################
### chunk number 37: xmp0335
###################################################
#line 586 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dhyper(2,5,20,10)
phyper(2,5,20,10)


###################################################
### chunk number 38: xmp0337
###################################################
#line 598 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dnbinom(10, 5, 0.2)
pnbinom(10, 5, 0.2)


###################################################
### chunk number 39: xmp0338
###################################################
#line 607 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dpois(5, lambda = 4.5)
ppois(5, 4.5)


###################################################
### chunk number 40: xmp0339
###################################################
#line 618 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
dbinom(1, 400, 0.005)
dpois(1,2)
pbinom(3, 400, 0.005)
ppois(3, 2)


###################################################
### chunk number 41: xmp0412a
###################################################
#line 669 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pnorm(1.25)
pnorm(-1.25)


###################################################
### chunk number 42: xmp0412b
###################################################
#line 674 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
1-pnorm(1.25)
pnorm(1.25, lower=FALSE)


###################################################
### chunk number 43: xmp0412d
###################################################
#line 683 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pnorm(c(-0.38,1.25))
diff(pnorm(c(-0.38,1.25)))


###################################################
### chunk number 44: xmp0413
###################################################
#line 695 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
qnorm(0.99)


###################################################
### chunk number 45: xmp0414
###################################################
#line 704 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
qnorm(0.05, lower=FALSE)


###################################################
### chunk number 46: xmp0415
###################################################
#line 715 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
diff(pnorm(c(1.0, 1.75), mean = 1.25, sd = 0.46))


###################################################
### chunk number 47: xmp0417
###################################################
#line 724 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
qnorm(0.995, mean=64, sd=0.78)


###################################################
### chunk number 48: xmp0419
###################################################
#line 735 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pnorm(10.5, mean = 12.5, sd = sqrt(12.5*0.75))
pbinom(10, size = 50, prob = 0.25)
diff(pnorm(c(4.5,15.5), mean = 12.5, sd = sqrt(12.5*0.75)))
diff(pbinom(c(4,15), size = 50, prob = 0.25))


###################################################
### chunk number 49: xmp0420
###################################################
#line 749 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pgamma(c(3,5), shape=2)
diff(pgamma(c(3,5), shape=2))
pgamma(4, shape = 2, lower = FALSE)


###################################################
### chunk number 50: xmp0421
###################################################
#line 759 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
diff(pgamma(c(60,120), shape = 8, scale = 15))
pgamma(30, shape = 8, scale = 15, lower = FALSE)


###################################################
### chunk number 51: xmp0422
###################################################
#line 770 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pexp(10, rate = 0.2)
diff(pexp(c(5,10), rate = 0.2))
pexp(2, rate = 0.5, lower = FALSE)


###################################################
### chunk number 52: xmp0424
###################################################
#line 781 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pweibull(10, shape = 2, scale = 10)
qweibull(0.95, shape = 2, scale = 10)


###################################################
### chunk number 53: xmp0426
###################################################
#line 792 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
diff(plnorm(c(1,2), meanlog = 0.375, sdlog = 0.25))
qlnorm(0.99, meanlog = 0.375, sdlog = 0.25)


###################################################
### chunk number 54: xmp0427
###################################################
#line 807 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
pbeta((3-2)/(5-2), shape1 = 2, shape2 = 3)


###################################################
### chunk number 55: xmp0428
###################################################
#line 819 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp04.28, qqnorm(meas.err))
with(xmp04.28, qqline(meas.err))


###################################################
### chunk number 56: xmp0429
###################################################
#line 827 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp04.29, qqnorm(Voltage))
with(xmp04.29, qqline(Voltage))


###################################################
### chunk number 57: xmp0430
###################################################
#line 842 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp04.30, plot(log(-log(1-seq(0.05, 0.95, 0.1))), log(lifetime)))


###################################################
### chunk number 58: xmp0519aa
###################################################
#line 860 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
options(digits=5)


###################################################
### chunk number 59: xmp0519a
###################################################
#line 863 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
curve(dweibull(x, shape = 2, scale = 5), 0, 15, las = 1)


###################################################
### chunk number 60: xmp0519b
###################################################
#line 867 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
rweibull(10, shape = 2, scale = 5)


###################################################
### chunk number 61: xmp0519c
###################################################
#line 872 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
samp = rweibull(10, shape = 2, scale = 5)
print(samp)
mean(samp)
median(samp)
sd(samp)


###################################################
### chunk number 62: xmp0519d
###################################################
#line 885 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
means = medians = sds = numeric(6)
for (i in 1:6) {
    samp = rweibull(10, shape = 2, scale = 5)
    print(samp)
    means[i] = mean(samp)
    medians[i] = median(samp)
    sds[i] = sd(samp)
}
means
medians
sds


###################################################
### chunk number 63: xmp0519zz
###################################################
#line 901 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
options(digits=7)


###################################################
### chunk number 64: xmp0522a
###################################################
#line 921 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(mfrow = c(2,2))
samp5 = matrix(rnorm(500 * 5, mean = 8.25, sd = 0.75), ncol = 500)
hist(colMeans(samp5), main='Samples of size 5')
samp10 = matrix(rnorm(500 * 10, mean = 8.25, sd = 0.75), ncol = 500)
hist(colMeans(samp10), main='Samples of size 10')
samp20 = matrix(rnorm(500 * 20, mean = 8.25, sd = 0.75), ncol = 500)
hist(colMeans(samp20), main='Samples of size 20')
samp30 = matrix(rnorm(500 * 30, mean = 8.25, sd = 0.75), ncol = 500)
hist(colMeans(samp30), main='Samples of size 30')


###################################################
### chunk number 65: xmp0522z
###################################################
#line 932 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(mfrow=c(1,1))


###################################################
### chunk number 66: xmp0523a
###################################################
#line 941 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
curve(dlnorm(x, meanlog=3, sdlog=0.4), from = 0, to = 75, las = 1)


###################################################
### chunk number 67: xmp0523b
###################################################
#line 945 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
par(mfrow=c(2,2))
samp5=matrix(rlnorm(500 * 5, 2, 0.4), ncol = 500)
hist(colMeans(samp5), main = 'Means of samples of size 5')
samp10=matrix(rlnorm(500 * 10, 2, 0.4), ncol = 500)
hist(colMeans(samp10), main = 'Means of samples of size 10')
samp20=matrix(rlnorm(500 * 20, 2, 0.4), ncol = 500)
hist(colMeans(samp20), main = 'Means of samples of size 20')
samp30=matrix(rlnorm(500 * 30, 2, 0.4), ncol = 500)
hist(colMeans(samp30), main = 'Means of samples of size 30')


###################################################
### chunk number 68: xmp0523c
###################################################
#line 959 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
qqnorm(colMeans(samp30))
qqline(colMeans(samp30))


###################################################
### chunk number 69: xmp0602
###################################################
#line 974 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp06.02, mean(Voltage))
with(xmp06.02, median(Voltage))
with(xmp06.02, mean(range(Voltage)))
with(xmp06.02, mean(Voltage, trim=0.1))


###################################################
### chunk number 70: xmp0603a
###################################################
#line 986 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp06.03, var(Strength))
with(xmp06.03, sd(Strength))


###################################################
### chunk number 71: xmp0603b
###################################################
#line 993 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp06.03, sum((Strength-mean(Strength))^2)/length(Strength))


###################################################
### chunk number 72: xmp0612a
###################################################
#line 1005 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
xbar = with(xmp06.12, mean(Survival))
xsqb = with(xmp06.12, mean(Survival^2))
xbar
xsqb
xbar^2/(xsqb-xbar^2)
(xsqb-xbar^2)/xbar


###################################################
### chunk number 73: xmp0612b
###################################################
#line 1026 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
library(MASS)
with(xmp06.12, fitdistr(Survival, dgamma, list(shape=10.577,scale=10.726)))


###################################################
### chunk number 74: xmp0702
###################################################
#line 1059 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
80.0 + c(-1, 1) * 1.96 * 2.0 / sqrt(31)


###################################################
### chunk number 75: xmp0706
###################################################
#line 1070 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp07.06, mean(Voltage)+c(-1,1)*1.96*sd(Voltage)/sqrt(length(Voltage)))


###################################################
### chunk number 76: xmp0706b
###################################################
#line 1077 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp07.06, t.test(Voltage))


###################################################
### chunk number 77: xmp0706c
###################################################
#line 1085 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp07.06, qqnorm(Voltage))


###################################################
### chunk number 78: xmp0708
###################################################
#line 1098 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
prop.test(16,48)
binom.test(16,48)


###################################################
### chunk number 79: xmp0711a
###################################################
#line 1107 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp07.11, t.test(Elasticity))
with(xmp07.11, qqnorm(Elasticity))


###################################################
### chunk number 80: xmp0715
###################################################
#line 1122 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp07.15,qqnorm(voltage))
with(xmp07.15, 16*var(voltage)/qchisq(c(0.975,0.025), df = 16))


###################################################
### chunk number 81: xmp0808
###################################################
#line 1144 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp08.08, t.test(DCP, mu = 30, alt = "less"))


###################################################
### chunk number 82: xmp0808b
###################################################
#line 1155 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp08.08, qqnorm(DCP))


###################################################
### chunk number 83: xmp0808c
###################################################
#line 1163 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp08.08, qqnorm(log(DCP)))


###################################################
### chunk number 84: xmp08.08d
###################################################
#line 1170 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp08.08, t.test(log(DCP), mu=log(30), alt="less"))


###################################################
### chunk number 85: xmp0809
###################################################
#line 1177 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp08.09, t.test(MAWL, mu = 25, alt = "greater"))


###################################################
### chunk number 86: xmp0810
###################################################
#line 1184 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
power.t.test(n=10,delta=0.1,sd=0.1,type="one.sample",alt="one.sided")
power.t.test(delta=0.1,sd=0.1,power=0.95,type="one.sample",alt="one.sided")


###################################################
### chunk number 87: xmp0811a
###################################################
#line 1194 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
prop.test(1276, 4115, p = 0.3, alt = "greater")


###################################################
### chunk number 88: xmp0811b
###################################################
#line 1202 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
prop.test(1276, 4115, p = 0.3, alt = "greater", correct=FALSE)
sqrt(1.993)


###################################################
### chunk number 89: xmp0813
###################################################
#line 1215 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
binom.test(x=14,n=20,p=0.9,alt="less")


###################################################
### chunk number 90: strbw
###################################################
#line 1223 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
print(bwplot(type ~ strength, xmp09.07, xlab = "Tensile strength (psi)"))


###################################################
### chunk number 91: strqq
###################################################
#line 1227 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
print(qqmath(~ strength|type, xmp09.07,
      xlab = "Standard normal quantiles",
      ylab = "Tensile strength (psi)", 
      type = c("g","p"), aspect = 1))


###################################################
### chunk number 92: xmp0907
###################################################
#line 1242 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp09.07)


###################################################
### chunk number 93: xmp0907bwprt eval=FALSE
###################################################
## #line 1245 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## bwplot(type ~ strength, xmp09.07)


###################################################
### chunk number 94: xmp0907qqprt eval=FALSE
###################################################
## #line 1249 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## qqmath(~strength|type, xmp09.07)


###################################################
### chunk number 95: xmp0907t
###################################################
#line 1253 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
t.test(strength ~ type, xmp09.07, alt = "greater")


###################################################
### chunk number 96: zincdiffqq
###################################################
#line 1257 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
print(qqmath( ~ I(bottom-surface), xmp09.08, type = c("g","p"),
      xlab = "Standard normal quantiles", aspect = 1,
      ylab = "Difference in zinc concentrations (mg/L)"))


###################################################
### chunk number 97: xmp0908
###################################################
#line 1270 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp09.08)


###################################################
### chunk number 98: xmp0908qqprt eval=FALSE
###################################################
## #line 1273 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## qqmath( ~ I(bottom-surface), xmp09.08)


###################################################
### chunk number 99: xmp0908t
###################################################
#line 1277 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp09.08, t.test(bottom,surface,paired=TRUE))


###################################################
### chunk number 100: propdiffqq
###################################################
#line 1281 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
print(qqmath( ~ Difference, xmp09.09, type = c("g","p"),
      xlab = "Standard normal quantiles", aspect = 1,
      ylab = "Difference in proportion of time (%)"))


###################################################
### chunk number 101: xmp0909
###################################################
#line 1290 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp09.09)


###################################################
### chunk number 102: xmp0909qqprt eval=FALSE
###################################################
## #line 1293 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## qqmath(~ Difference, xmp09.09)


###################################################
### chunk number 103: xmp0909t
###################################################
#line 1297 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp09.09, t.test(Before, After, paired = TRUE))


###################################################
### chunk number 104: xmp0910
###################################################
#line 1303 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
Difference <- c(5,19,25,10,10,10,28,46,25,38,14,23,14)
qqnorm(Difference)
qqline(Difference)
t.test(Difference)


###################################################
### chunk number 105: xmp1101
###################################################
#line 1343 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
with(xmp11.01, interaction.plot(treatment, brand, strength, col=2:4, lty=1))
with(xmp11.01, interaction.plot(treatment, brand, strength, col=2:4, lty=1))
with(xmp11.01, interaction.plot(brand, treatment, strength, col=2:4, lty=1))
with(xmp11.01, interaction.plot(brand, treatment, strength, col=2:4, lty=1))

anova(fm1 <- aov(strength ~ treatment + brand, xmp11.01))

TukeyHSD(fm1, which = "treatment") 

plot(fm1, which = 1:2)    


###################################################
### chunk number 106: xmp1105
###################################################
#line 1359 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp11.05)
with(xmp11.05, interaction.plot(humid, brand, power, col = 2:6, lty = 1))
anova(fm1 <- aov(power ~ humid + brand, data = xmp11.05))
TukeyHSD(fm1, which = "brand")
plot(TukeyHSD(fm1, which = "brand"))
plot(TukeyHSD(fm1, which = "brand"))


###################################################
### chunk number 107: xmp1106
###################################################
#line 1371 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp11.06)
anova(fm1 <- aov(Resp ~ Subject + Stimulus, data = xmp11.06))
with(xmp11.06, interaction.plot(Stimulus, Subject, Resp, col = 2:6, lty = 1))
TukeyHSD(fm1, which = "Stimulus")
plot(fm1,which = 1)

range(xmp11.06$Resp)
anova(fm2 <- aov(log(Resp) ~ Subject + Stimulus, data = xmp11.06))
with(xmp11.06, interaction.plot(Stimulus, Subject, log(Resp), col = 2:6, lty = 1))
plot(fm2,which = 1)
opar <- par(pty = 's')
plot(fm2,which = 2)
par(opar)
plot(TukeyHSD(fm2, which = "Stimulus"))
with(xmp11.06,interaction.plot(Stimulus, Subject, fitted(fm2), col=2:6, lty=1))


###################################################
### chunk number 108: xmp1107
###################################################
#line 1392 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp11.07)
xtabs(~ Variety + Density, data = xmp11.07)
xtabs(Yield ~ Variety + Density, data = xmp11.07)

xtabs(Yield ~ Variety + Density, xmp11.07)/ xtabs( ~ Variety + Density, xmp11.07)
anova(fm1 <- aov(Yield ~ Density * Variety, data = xmp11.07))
with(xmp11.07, interaction.plot(Density, Variety, Yield, col=2:6, lty=1))
anova(fm2 <- aov(Yield ~ Density + Variety, xmp11.07))
TukeyHSD(fm2)
model.tables(fm2, type = "means")


###################################################
### chunk number 109: xmp1111
###################################################
#line 1407 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp11.11)
xtabs(~ Period + Coat + Strain, xmp11.11)
anova(fm1 <- aov(Tempr ~ Period * Coat * Strain, xmp11.11))
anova(fm2 <- update(fm1, . ~ . - Period:Strain -  Period:Coat:Strain))


###################################################
### chunk number 110: xmp1112
###################################################
#line 1416 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
str(xmp11.12)
xtabs(as.integer(humidity) ~ row + column, xmp11.12)
xtabs(abrasion ~ row + column, xmp11.12)
anova(fm1 <- aov(abrasion ~ row + column + humidity, xmp11.12))
model.tables(fm1, cterms = "humidity", type = "mean")
TukeyHSD(fm1, which = "humidity")


###################################################
### chunk number 111: tpt
###################################################
#line 1485 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
2+2


###################################################
### chunk number 112: showquit eval=FALSE
###################################################
## #line 1495 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## q()


###################################################
### chunk number 113: datacommand eval=FALSE
###################################################
## #line 1513 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## data()


###################################################
### chunk number 114: help eval=FALSE
###################################################
## #line 1519 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## help(pressure)
## ?pressure


###################################################
### chunk number 115: installD6 eval=FALSE
###################################################
## #line 1552 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## install.packages('Devore6')


###################################################
### chunk number 116: libraryD6
###################################################
#line 1569 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
library(Devore6)


###################################################
### chunk number 117: DSlist eval=FALSE
###################################################
## #line 1596 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
## data(package = 'Devore6')


###################################################
### chunk number 118: struse
###################################################
#line 1616 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
data(xmp01.02)
str(xmp01.02)


###################################################
### chunk number 119: strcat
###################################################
#line 1629 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
data(ex01.29)
str(ex01.29)


###################################################
### chunk number 120: summarydemo
###################################################
#line 1639 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
summary(xmp01.02)
summary(ex01.29)


###################################################
### chunk number 121: stemtemp
###################################################
#line 1665 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
data(xmp01.01)
str(xmp01.01)
stem(xmp01.01$temp)


###################################################
### chunk number 122: stemtemp2
###################################################
#line 1671 "d:/Rcompile/CRANpkg/local/2.12/Devore6/inst/doc/Devore6.Rnw"
attach(xmp01.01)
stem(temp)


